Update a finding (status transition rules apply)
curl --request PATCH \
--url https://api.trycomp.ai/v1/findings/{id} \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"content": "<string>",
"revisionNote": {}
}
'const options = {
method: 'PATCH',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({content: '<string>', revisionNote: {}})
};
fetch('https://api.trycomp.ai/v1/findings/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.trycomp.ai/v1/findings/{id}"
payload = {
"content": "<string>",
"revisionNote": {}
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)Findings
Update a finding (status transition rules | Comp AI API
Update a finding (status transition rules apply) in Comp AI. Create, review, update, and track audit findings, remediation activity, and finding history.
PATCH
/
v1
/
findings
/
{id}
Update a finding (status transition rules apply)
curl --request PATCH \
--url https://api.trycomp.ai/v1/findings/{id} \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"content": "<string>",
"revisionNote": {}
}
'const options = {
method: 'PATCH',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({content: '<string>', revisionNote: {}})
};
fetch('https://api.trycomp.ai/v1/findings/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.trycomp.ai/v1/findings/{id}"
payload = {
"content": "<string>",
"revisionNote": {}
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)Authorizations
API key for authentication
Path Parameters
Finding ID
Body
application/json
Finding status
Available options:
open, ready_for_review, needs_revision, closed Finding type
Available options:
soc2, iso27001, pci_dss, hipaa, gdpr, iso9001, iso42001 Severity
Available options:
low, medium, high, critical Finding content/message
Maximum string length:
5000Auditor note when requesting revision
Response
200 - undefined
Was this page helpful?

